> ## Documentation Index
> Fetch the complete documentation index at: https://docs.incident.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all escalations for your account.

This endpoint supports a number of filters, which can help find escalations matching certain
criteria.

Note that:
- Filters may be used together, and the result will be escalations that match all filters.
- All query parameters must be URI encoded.

To use this API, you will need an API key with the "View data" or "Create and manage on-call resources" permission.

### By escalation_path

Find all escalations that escalated to escalation path with id=ABC:

```bash
curl --get 'https://api.incident.io/v2/escalations' \
--data 'escalation_path[one_of]=ABC'
```

### By status

Find all escalations with a current status of "triggered":

```bash
curl --get 'https://api.incident.io/v2/escalations' \
--data 'status[one_of]=triggered'
```

Possible values are "pending", "triggered", "acked", "resolved", "expired" and "cancelled".
Escalations are in "pending" when they are in a grace period when the related alert has
been grouped in an incident.

### By alert

Find all escalations that were created by alert with id=ABC:

```bash
curl --get 'https://api.incident.io/v2/escalations' \
--data 'alert[one_of]=ABC'
```

### By created_at and updated_at
Find all escalations that follow specified date parameters for created_at and updated_at fields.
Possible values are "gte" (greater than or equal to), "lte" (less than or equal to), and
"date_range" (between two dates).
For example, to find all escalations updated after 2025-01-01:

```bash
curl --get 'https://api.incident.io/v2/escalations' \
--data 'updated_at[gte]=2025-01-01'
```

To find all escalations created between 2025-01-01 and 2025-01-31:

```bash
curl --get 'https://api.incident.io/v2/escalations' \
```
            --data 'created_at[date_range]=2025-01-01~2025-01-31'


List all escalations for your account.

This endpoint supports a number of filters, which can help find escalations matching certain
criteria.

Note that:

* Filters may be used together, and the result will be escalations that match all filters.
* All query parameters must be URI encoded.

To use this API, you will need an API key with the "View data" or "Create and manage on-call resources" permission.

### By escalation\_path

Find all escalations that escalated to escalation path with id=ABC:

```bash theme={null}
curl --get 'https://api.incident.io/v2/escalations' \
--data 'escalation_path[one_of]=ABC'
```

### By status

Find all escalations with a current status of "triggered":

```bash theme={null}
curl --get 'https://api.incident.io/v2/escalations' \
--data 'status[one_of]=triggered'
```

Possible values are "pending", "triggered", "acked", "resolved", "expired" and "cancelled".
Escalations are in "pending" when they are in a grace period when the related alert has
been grouped in an incident.

### By alert

Find all escalations that were created by alert with id=ABC:

```bash theme={null}
curl --get 'https://api.incident.io/v2/escalations' \
--data 'alert[one_of]=ABC'
```

### By created\_at and updated\_at

Find all escalations that follow specified date parameters for created\_at and updated\_at fields.
Possible values are "gte" (greater than or equal to), "lte" (less than or equal to), and
"date\_range" (between two dates).

For example, to find all escalations updated after 2025-01-01:

```bash theme={null}
curl --get 'https://api.incident.io/v2/escalations' \
--data 'updated_at[gte]=2025-01-01'
```

To find all escalations created between 2025-01-01 and 2025-01-31:

```bash theme={null}
curl --get 'https://api.incident.io/v2/escalations' \
--data 'created_at[date_range]=2025-01-01~2025-01-31'
```


## OpenAPI

````yaml /openapi/tags/escalations-v2.json GET /v2/escalations
openapi: 3.0.3
info:
  description: "This is the API reference for incident.io.\n\nIt documents available API endpoints, provides examples of how to use it, and\ninstructions around things like authentication and error handling.\n\nThe API is hosted at:\n\n- https://api.incident.io/\n\nAnd you will need to create an API key via your [incident.io\ndashboard](https://app.incident.io/settings/api-keys) to make requests.\n\n# Making requests\n\nHere are the key concepts required to make requests to the incident.io API.\n\n## Authentication\n\nFor all requests made to the incident.io API, you'll need an API key.\n\nTo create an API key, head to the incident dashboard and visit [API\nkeys](https://app.incident.io/settings/api-keys). When you create the key, you'll be able to choose what actions it\ncan take for your account: choose carefully, as those roles can only be set\nwhen you first create the key. We'll only show you the token once, so make sure\nyou store it somewhere safe.\n\nAPI keys are global to your incident.io account, and can be managed by anyone\nwho has the right permissions. We display the user that created the API key,\nand the API key will remain valid if that user becomes deactivated.\n\nOnce you have the key, you should make requests to the API that set the\n`Authorization` request header using a \"Bearer\" authentication scheme:\n\n```\nAuthorization: Bearer <YOUR_API_KEY>\n```\n\n## Rate Limits\n\nThe incident.io API enforces rate limits to ensure consistent performance for all users.\n\nThe default rate limit is 1200 requests/minute per API key. This limit applies to most endpoints across the API.\n\nSome endpoints have lower rate limits, particularly those that interact with external third-party systems that impose\ntheir own limitations. These specific limits vary by endpoint, and we recommend relying on the rate-limit error\nresponses to understand usage patterns and implement appropriate retry strategies.\n\nWhen you exceed a rate limit, the API will respond with a `429 Too Many Requests` status code, along with a JSON\nresponse that includes information about the limit and when you can retry:\n\n```json\n{\n    \"type\": \"too_many_requests\",\n    \"status\": 429,\n    \"request_id\": \"b839a403-7704-41c1-bf6a-39a2d68caefa\",\n    \"rate_limit\": {\n        \"name\": \"api_key_name\",\n        \"limit\": 1200,\n        \"remaining\": 0,\n        \"retry_after\": \"Thu, 17 Apr 2025 11:17:18 UTC\"\n    },\n    \"errors\": [\n        {\n            \"code\": \"too_many_requests\",\n            \"message\": \"Too many requests hit the API too quickly. We recommend an exponential backoff of your requests.\"\n        }\n    ]\n}\n```\n\nThe response includes:\n* The name of the API key (`name`)\n* The bucket limit (`limit`)\n* The number of requests remaining (`remaining`)\n* When you can retry requests (`retry_after`)\n\n## Errors\n\nWe use standard HTTP response codes to indicate the status or failure of API\nrequests.\n\nThe API response body will be JSON, and contain more detailed information on the\nnature of the error.\n\nAn example error when a request is made without an API key:\n\n```json\n{\n  \"type\": \"authentication_error\",\n  \"status\": 401,\n  \"request_id\": \"8e3cc412-b49d-4957-9073-2c19d2c61804\",\n  \"errors\": [\n    {\n      \"code\": \"missing_authorization_material\",\n      \"message\": \"No authorization material provided in request\"\n    }\n  ]\n}\n```\n\nNote that the error:\n\n- Contains the HTTP status (`401`)\n- References the type of error (`authentication_error`)\n- Includes a `request_id` that can be provided to incident.io support to help\n\tdebug questions with your API request\n- Provides a list of individual errors, which go into detail about why the error\n\toccurred\n\nThe most common error will be a 422 Validation Error, which is returned when the\nrequest was rejected due to failing validations.\n\nThese errors look like this:\n\n```json\n{\n  \"type\": \"validation_error\",\n  \"status\": 422,\n  \"request_id\": \"631766c4-4afd-4803-997c-cd700928fa4b\",\n  \"errors\": [\n    {\n      \"code\": \"is_required\",\n      \"message\": \"A severity is required to open an incident\",\n      \"source\": {\n        \"field\": \"severity_id\"\n      }\n    }\n  ]\n}\n```\n\nThis error is caused by not providing a severity identifier, which should be at\nthe `severity_id` field of the request payload. Errors like these can be mapped to\nforms, should you be integrating with the API from a user-interface.\n\n## Compatibility\n\nWe won't make breaking changes to existing API services or endpoints, but will\nexpect integrators to upgrade themselves to the latest API endpoints within 3\nmonths of us deprecating the old service.\n\nWe will make changes that are considered backwards compatible, which include:\n\n- Adding new API endpoints and services\n- Adding new properties to responses from existing API endpoints\n- Reordering properties returned from existing API endpoints\n- Adding optional request parameters to existing API endpoints\n- Altering the format or length of IDs\n- Adding new values to enums\n\nIt is important that clients are robust to these changes, to ensure reliable\nintegrations.\n\nAs an example, if you are generating a client using an openapi-generator, ensure\nthe generated client is configured to support unknown enum values, often\nconfigured via the `enumUnknownDefaultCase` parameter.\n\nWhen breaking changes are unavoidable, we'll create a new service version on a\nseparate path, and run them in parallel.\n\nFor example:\n\n- https://api.incident.io/v1/incidents\n- https://api.incident.io/v2/incidents\n\nFor any questions, email support@incident.io.\n"
  title: incident.io
  version: 1.0.0
servers:
  - url: https://api.incident.io
security:
  - BearerAuth: []
tags:
  - description: >
      Create and manage escalation paths, and create, list and filter
      escalations.


      With incident.io On-call you can create escalation paths that describe how
      a page should

      be escalated to people and schedules.
    name: Escalations V2
paths:
  /v2/escalations:
    get:
      tags:
        - Escalations V2
      summary: List
      description: >
        List all escalations for your account.


        This endpoint supports a number of filters, which can help find
        escalations matching certain

        criteria.


        Note that:

        - Filters may be used together, and the result will be escalations that
        match all filters.

        - All query parameters must be URI encoded.


        To use this API, you will need an API key with the "View data" or
        "Create and manage on-call resources" permission.


        ### By escalation_path


        Find all escalations that escalated to escalation path with id=ABC:


        ```bash

        curl --get 'https://api.incident.io/v2/escalations' \

        --data 'escalation_path[one_of]=ABC'

        ```


        ### By status


        Find all escalations with a current status of "triggered":


        ```bash

        curl --get 'https://api.incident.io/v2/escalations' \

        --data 'status[one_of]=triggered'

        ```


        Possible values are "pending", "triggered", "acked", "resolved",
        "expired" and "cancelled".

        Escalations are in "pending" when they are in a grace period when the
        related alert has

        been grouped in an incident.


        ### By alert


        Find all escalations that were created by alert with id=ABC:


        ```bash

        curl --get 'https://api.incident.io/v2/escalations' \

        --data 'alert[one_of]=ABC'

        ```


        ### By created_at and updated_at

        Find all escalations that follow specified date parameters for
        created_at and updated_at fields.

        Possible values are "gte" (greater than or equal to), "lte" (less than
        or equal to), and

        "date_range" (between two dates).

        For example, to find all escalations updated after 2025-01-01:


        ```bash

        curl --get 'https://api.incident.io/v2/escalations' \

        --data 'updated_at[gte]=2025-01-01'

        ```


        To find all escalations created between 2025-01-01 and 2025-01-31:


        ```bash

        curl --get 'https://api.incident.io/v2/escalations' \

        ```
                    --data 'created_at[date_range]=2025-01-01~2025-01-31'
      operationId: Escalations V2_List
      parameters:
        - allowEmptyValue: true
          description: Number of escalations to return per page
          example: 25
          in: query
          name: page_size
          schema:
            default: 25
            description: Number of escalations to return per page
            example: 25
            format: int64
            maximum: 50
            minimum: 1
            type: integer
        - allowEmptyValue: true
          description: >-
            An escalation's ID. This endpoint will return a list of escalations
            after this ID in relation to the API response order.
          example: 01FDAG4SAP5TYPT98WGR2N7W91
          in: query
          name: after
          schema:
            description: >-
              An escalation's ID. This endpoint will return a list of
              escalations after this ID in relation to the API response order.
            example: 01FDAG4SAP5TYPT98WGR2N7W91
            type: string
        - allowEmptyValue: true
          description: >-
            Filter on the escalation path for which the escalation was
            triggered. Accepted operators are 'one_of' and 'not_in'.
          example:
            one_of:
              - 01J479052SSQAA4531ASFPR3BF
          in: query
          name: escalation_path
          schema:
            additionalProperties:
              example:
                - some_value
              items:
                example: some_value
                type: string
              type: array
            description: >-
              Filter on the escalation path for which the escalation was
              triggered. Accepted operators are 'one_of' and 'not_in'.
            example:
              one_of:
                - 01J479052SSQAA4531ASFPR3BF
            type: object
        - allowEmptyValue: true
          description: >-
            Filter on the status of the escalation. Accepted operators are
            'one_of' and 'not_in'.
          example:
            one_of:
              - triggered
          in: query
          name: status
          schema:
            additionalProperties:
              example:
                - some_value
              items:
                example: some_value
                type: string
              type: array
            description: >-
              Filter on the status of the escalation. Accepted operators are
              'one_of' and 'not_in'.
            example:
              one_of:
                - triggered
            type: object
        - allowEmptyValue: true
          description: >-
            Filter on the alert that created an escalation. Accepted operators
            are 'one_of' and 'not_in'.
          example:
            one_of:
              - 01J479052SSQAA4531ASFPR3BF
          in: query
          name: alert
          schema:
            additionalProperties:
              example:
                - some_value
              items:
                example: some_value
                type: string
              type: array
            description: >-
              Filter on the alert that created an escalation. Accepted operators
              are 'one_of' and 'not_in'.
            example:
              one_of:
                - 01J479052SSQAA4531ASFPR3BF
            type: object
        - allowEmptyValue: true
          description: >-
            Filter on the created_at timestamp of the escalation. Accepted
            operators are 'gte', 'lte' and 'date_range'.
          example:
            gte:
              - '2021-08-17'
          in: query
          name: created_at
          schema:
            additionalProperties:
              example:
                - some_value
              items:
                example: some_value
                type: string
              type: array
            description: >-
              Filter on the created_at timestamp of the escalation. Accepted
              operators are 'gte', 'lte' and 'date_range'.
            example:
              gte:
                - '2021-08-17'
            type: object
        - allowEmptyValue: true
          description: >-
            Filter on the updated_at timestamp of the escalation. Accepted
            operators are 'gte', 'lte' and 'date_range'.
          example:
            gte:
              - '2021-08-17'
          in: query
          name: updated_at
          schema:
            additionalProperties:
              example:
                - some_value
              items:
                example: some_value
                type: string
              type: array
            description: >-
              Filter on the updated_at timestamp of the escalation. Accepted
              operators are 'gte', 'lte' and 'date_range'.
            example:
              gte:
                - '2021-08-17'
            type: object
        - allowEmptyValue: true
          description: >-
            Filter on the idempotency key of the escalation. This is the key set
            when creating escalations via the API, and is distinct from alert
            deduplication keys. Accepted operators are 'is' for exact matches
            and 'starts_with' for prefix matching.
          example:
            starts_with:
              - 'team-a:'
          in: query
          name: idempotency_key
          schema:
            additionalProperties:
              example:
                - some_value
              items:
                example: some_value
                type: string
              type: array
            description: >-
              Filter on the idempotency key of the escalation. This is the key
              set when creating escalations via the API, and is distinct from
              alert deduplication keys. Accepted operators are 'is' for exact
              matches and 'starts_with' for prefix matching.
            example:
              starts_with:
                - 'team-a:'
            type: object
      responses:
        '200':
          content:
            application/json:
              example:
                escalations:
                  - created_at: '2021-08-17T13:28:57.801578Z'
                    creator:
                      alert:
                        id: 01GW2G3V0S59R238FAHPDS1R66
                        title: '*errors.withMessage: PG::Error failed to connect'
                      user:
                        email: lisa@incident.io
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        name: Lisa Karlin Curtis
                        role: owner
                        slack_user_id: U02AYNF2XJM
                      workflow:
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        name: My little workflow
                    escalation_path_id: 01G0J1EXE7AXZ2C93K61WBPYEH
                    events:
                      - channels:
                          - microsoft_teams_channel_id: abc123
                            microsoft_teams_team_id: abc123
                            slack_channel_id: abc123
                            slack_team_id: abc123
                        event: entered_grace_period
                        id: 01G0J1EXE7AXZ2C93K61WBPYEH
                        occurred_at: '2021-08-17T13:28:57.801578Z'
                        urgency: high
                        users:
                          - email: lisa@incident.io
                            id: 01FCNDV6P870EA6S7TK1DSYDG0
                            name: Lisa Karlin Curtis
                            role: owner
                            slack_user_id: U02AYNF2XJM
                    id: 01G0J1EXE7AXZ2C93K61WBPYEH
                    priority:
                      name: P1
                    related_alerts:
                      - alert_source_id: 01GW2G3V0S59R238FAHPDS1R66
                        created_at: '2021-08-17T13:28:57.801578Z'
                        deduplication_key: '4293868629'
                        description: >-
                          CPU on the payments service has exceeded 75 percent
                          for 5 minutes
                        id: 01GW2G3V0S59R238FAHPDS1R66
                        resolved_at: '2021-08-17T14:28:57.801578Z'
                        source_url: >-
                          https://www.my-alerting-platform.com/alerts/my-alert-123
                        status: firing
                        title: '*errors.withMessage: PG::Error failed to connect'
                        updated_at: '2021-08-17T13:28:57.801578Z'
                    related_incidents:
                      - external_id: 123
                        id: 01FDAG4SAP5TYPT98WGR2N7W91
                        name: Our database is sad
                        reference: INC-123
                        status_category: triage
                        summary: >-
                          Our database is really really sad, and we don't know
                          why yet.
                        visibility: public
                    status: pending
                    title: Database CPU is high
                    updated_at: '2021-08-17T13:28:57.801578Z'
                pagination_meta:
                  after: 01FCNDV6P870EA6S7TK1DSYDG0
                  page_size: 25
              schema:
                $ref: '#/components/schemas/EscalationsListResultV2'
          description: OK response.
components:
  schemas:
    EscalationsListResultV2:
      example:
        escalations:
          - created_at: '2021-08-17T13:28:57.801578Z'
            creator:
              alert:
                id: 01GW2G3V0S59R238FAHPDS1R66
                title: '*errors.withMessage: PG::Error failed to connect'
              user:
                email: lisa@incident.io
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Lisa Karlin Curtis
                role: owner
                slack_user_id: U02AYNF2XJM
              workflow:
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: My little workflow
            escalation_path_id: 01G0J1EXE7AXZ2C93K61WBPYEH
            events:
              - channels:
                  - microsoft_teams_channel_id: abc123
                    microsoft_teams_team_id: abc123
                    slack_channel_id: abc123
                    slack_team_id: abc123
                event: entered_grace_period
                id: 01G0J1EXE7AXZ2C93K61WBPYEH
                occurred_at: '2021-08-17T13:28:57.801578Z'
                urgency: high
                users:
                  - email: lisa@incident.io
                    id: 01FCNDV6P870EA6S7TK1DSYDG0
                    name: Lisa Karlin Curtis
                    role: owner
                    slack_user_id: U02AYNF2XJM
            id: 01G0J1EXE7AXZ2C93K61WBPYEH
            priority:
              name: P1
            related_alerts:
              - alert_source_id: 01GW2G3V0S59R238FAHPDS1R66
                created_at: '2021-08-17T13:28:57.801578Z'
                deduplication_key: '4293868629'
                description: >-
                  CPU on the payments service has exceeded 75 percent for 5
                  minutes
                id: 01GW2G3V0S59R238FAHPDS1R66
                resolved_at: '2021-08-17T14:28:57.801578Z'
                source_url: https://www.my-alerting-platform.com/alerts/my-alert-123
                status: firing
                title: '*errors.withMessage: PG::Error failed to connect'
                updated_at: '2021-08-17T13:28:57.801578Z'
            related_incidents:
              - external_id: 123
                id: 01FDAG4SAP5TYPT98WGR2N7W91
                name: Our database is sad
                reference: INC-123
                status_category: triage
                summary: Our database is really really sad, and we don't know why yet.
                visibility: public
            status: pending
            title: Database CPU is high
            updated_at: '2021-08-17T13:28:57.801578Z'
        pagination_meta:
          after: 01FCNDV6P870EA6S7TK1DSYDG0
          page_size: 25
      properties:
        escalations:
          example:
            - created_at: '2021-08-17T13:28:57.801578Z'
              creator:
                alert:
                  id: 01GW2G3V0S59R238FAHPDS1R66
                  title: '*errors.withMessage: PG::Error failed to connect'
                user:
                  email: lisa@incident.io
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  name: Lisa Karlin Curtis
                  role: owner
                  slack_user_id: U02AYNF2XJM
                workflow:
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  name: My little workflow
              escalation_path_id: 01G0J1EXE7AXZ2C93K61WBPYEH
              events:
                - channels:
                    - microsoft_teams_channel_id: abc123
                      microsoft_teams_team_id: abc123
                      slack_channel_id: abc123
                      slack_team_id: abc123
                  event: entered_grace_period
                  id: 01G0J1EXE7AXZ2C93K61WBPYEH
                  occurred_at: '2021-08-17T13:28:57.801578Z'
                  urgency: high
                  users:
                    - email: lisa@incident.io
                      id: 01FCNDV6P870EA6S7TK1DSYDG0
                      name: Lisa Karlin Curtis
                      role: owner
                      slack_user_id: U02AYNF2XJM
              id: 01G0J1EXE7AXZ2C93K61WBPYEH
              priority:
                name: P1
              related_alerts:
                - alert_source_id: 01GW2G3V0S59R238FAHPDS1R66
                  created_at: '2021-08-17T13:28:57.801578Z'
                  deduplication_key: '4293868629'
                  description: >-
                    CPU on the payments service has exceeded 75 percent for 5
                    minutes
                  id: 01GW2G3V0S59R238FAHPDS1R66
                  resolved_at: '2021-08-17T14:28:57.801578Z'
                  source_url: https://www.my-alerting-platform.com/alerts/my-alert-123
                  status: firing
                  title: '*errors.withMessage: PG::Error failed to connect'
                  updated_at: '2021-08-17T13:28:57.801578Z'
              related_incidents:
                - external_id: 123
                  id: 01FDAG4SAP5TYPT98WGR2N7W91
                  name: Our database is sad
                  reference: INC-123
                  status_category: triage
                  summary: >-
                    Our database is really really sad, and we don't know why
                    yet.
                  visibility: public
              status: pending
              title: Database CPU is high
              updated_at: '2021-08-17T13:28:57.801578Z'
          items:
            $ref: '#/components/schemas/EscalationV2'
          type: array
        pagination_meta:
          $ref: '#/components/schemas/PaginationMetaResultV2'
      required:
        - escalations
        - pagination_meta
      type: object
    EscalationV2:
      properties:
        created_at:
          description: When this escalation was created
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        creator:
          $ref: '#/components/schemas/EscalationCreatorV2'
        escalation_path_id:
          description: >-
            Unique identifier of the escalation path that the escalation was
            created from
          example: 01G0J1EXE7AXZ2C93K61WBPYEH
          type: string
        events:
          description: >-
            Events which describe the history of this escalation. Events include
            information about what users or channels were notified and what
            users acked.
          example:
            - channels:
                - microsoft_teams_channel_id: abc123
                  microsoft_teams_team_id: abc123
                  slack_channel_id: abc123
                  slack_team_id: abc123
              event: entered_grace_period
              id: 01G0J1EXE7AXZ2C93K61WBPYEH
              occurred_at: '2021-08-17T13:28:57.801578Z'
              urgency: high
              users:
                - email: lisa@incident.io
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  name: Lisa Karlin Curtis
                  role: owner
                  slack_user_id: U02AYNF2XJM
          items:
            $ref: '#/components/schemas/EscalationEventV2'
          type: array
        id:
          description: Unique ID of the escalation
          example: 01G0J1EXE7AXZ2C93K61WBPYEH
          type: string
        priority:
          $ref: '#/components/schemas/EscalationPriorityV2'
        related_alerts:
          description: Alerts related to this escalation
          example:
            - alert_source_id: 01GW2G3V0S59R238FAHPDS1R66
              created_at: '2021-08-17T13:28:57.801578Z'
              deduplication_key: '4293868629'
              description: >-
                CPU on the payments service has exceeded 75 percent for 5
                minutes
              id: 01GW2G3V0S59R238FAHPDS1R66
              resolved_at: '2021-08-17T14:28:57.801578Z'
              source_url: https://www.my-alerting-platform.com/alerts/my-alert-123
              status: firing
              title: '*errors.withMessage: PG::Error failed to connect'
              updated_at: '2021-08-17T13:28:57.801578Z'
          items:
            $ref: '#/components/schemas/AlertSlimV2'
          type: array
        related_incidents:
          description: Incidents related to this escalation
          example:
            - external_id: 123
              id: 01FDAG4SAP5TYPT98WGR2N7W91
              name: Our database is sad
              reference: INC-123
              status_category: triage
              summary: Our database is really really sad, and we don't know why yet.
              visibility: public
          items:
            $ref: '#/components/schemas/IncidentSlimV2'
          type: array
        status:
          description: Status of the escalation
          enum:
            - pending
            - triggered
            - acked
            - resolved
            - expired
            - cancelled
            - snoozed
            - delayed
            - pending_repeat
          example: pending
          type: string
        title:
          description: The title of this escalation
          example: Database CPU is high
          type: string
        updated_at:
          description: When this escalation was last updated
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
      required:
        - id
        - created_at
        - updated_at
        - status
        - title
        - priority
        - creator
        - events
        - related_incidents
        - related_alerts
      type: object
    PaginationMetaResultV2:
      example:
        after: 01FCNDV6P870EA6S7TK1DSYDG0
        page_size: 25
      properties:
        after:
          description: If provided, pass this as the 'after' param to load the next page
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        page_size:
          default: 25
          description: What was the maximum number of results requested
          example: 25
          format: int64
          maximum: 250
          type: integer
      required:
        - page_size
      type: object
    EscalationCreatorV2:
      description: >-
        The creator of this escalation. Can be a user, a workflow, or an alert.
        If the escalation came from a call route, this will be empty.
      example:
        alert:
          id: 01GW2G3V0S59R238FAHPDS1R66
          title: '*errors.withMessage: PG::Error failed to connect'
        user:
          email: lisa@incident.io
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: Lisa Karlin Curtis
          role: owner
          slack_user_id: U02AYNF2XJM
        workflow:
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: My little workflow
      properties:
        alert:
          $ref: '#/components/schemas/AlertActorV2'
        user:
          $ref: '#/components/schemas/UserV2'
        workflow:
          $ref: '#/components/schemas/WorkflowActorV2'
      type: object
    EscalationEventV2:
      example:
        channels:
          - microsoft_teams_channel_id: abc123
            microsoft_teams_team_id: abc123
            slack_channel_id: abc123
            slack_team_id: abc123
        event: entered_grace_period
        id: 01G0J1EXE7AXZ2C93K61WBPYEH
        occurred_at: '2021-08-17T13:28:57.801578Z'
        urgency: high
        users:
          - email: lisa@incident.io
            id: 01FCNDV6P870EA6S7TK1DSYDG0
            name: Lisa Karlin Curtis
            role: owner
            slack_user_id: U02AYNF2XJM
      properties:
        channels:
          description: This field will be populated for notified_channels events.
          example:
            - microsoft_teams_channel_id: abc123
              microsoft_teams_team_id: abc123
              slack_channel_id: abc123
              slack_team_id: abc123
          items:
            $ref: '#/components/schemas/ChatChannelSlimV2'
          type: array
        event:
          description: The type of event that occured.
          enum:
            - entered_grace_period
            - triggered
            - notified_users
            - notified_channels
            - acked
            - cancelled
            - resolved
            - expired
          example: entered_grace_period
          type: string
        id:
          description: The unique ID for this escalation event
          example: 01G0J1EXE7AXZ2C93K61WBPYEH
          type: string
        occurred_at:
          description: The time when this escalation event was processed
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        urgency:
          description: >-
            The urgency at which we tried to notify users. This field will be
            populated for notified_users events.
          enum:
            - high
            - low
          example: high
          type: string
        users:
          description: This field will be populated for notified_users and acked events.
          example:
            - email: lisa@incident.io
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              name: Lisa Karlin Curtis
              role: owner
              slack_user_id: U02AYNF2XJM
          items:
            $ref: '#/components/schemas/UserV2'
          type: array
      required:
        - id
        - event
        - occurred_at
      type: object
    EscalationPriorityV2:
      description: The priority associated with this escalation.
      example:
        name: P1
      properties:
        name:
          description: The human readable label for this priority
          example: P1
          type: string
      required:
        - name
      type: object
    AlertSlimV2:
      example:
        alert_source_id: 01GW2G3V0S59R238FAHPDS1R66
        created_at: '2021-08-17T13:28:57.801578Z'
        deduplication_key: '4293868629'
        description: CPU on the payments service has exceeded 75 percent for 5 minutes
        id: 01GW2G3V0S59R238FAHPDS1R66
        resolved_at: '2021-08-17T14:28:57.801578Z'
        source_url: https://www.my-alerting-platform.com/alerts/my-alert-123
        status: firing
        title: '*errors.withMessage: PG::Error failed to connect'
        updated_at: '2021-08-17T13:28:57.801578Z'
      properties:
        alert_source_id:
          description: The ID of the alert source this alert fired on
          example: 01GW2G3V0S59R238FAHPDS1R66
          type: string
        created_at:
          description: When this entry was created
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        deduplication_key:
          description: >-
            A deduplication key which uniquely references this alert from your
            alert source. For newly created HTTP sources, this field is
            required.

            If you send an event with the same deduplication_key multiple times,
            only one alert will be created in incident.io for this alert source
            config.

            You can filter on this field to find the alert created by an event
            you've sent us.
          example: '4293868629'
          type: string
        description:
          description: The description of the alert
          example: CPU on the payments service has exceeded 75 percent for 5 minutes
          type: string
        id:
          description: The ID of this alert
          example: 01GW2G3V0S59R238FAHPDS1R66
          type: string
        resolved_at:
          description: When this alert was resolved
          example: '2021-08-17T14:28:57.801578Z'
          format: date-time
          type: string
        source_url:
          description: If applicable, a link to the alert in the upstream system
          example: https://www.my-alerting-platform.com/alerts/my-alert-123
          type: string
        status:
          description: Statuses of an alert
          enum:
            - firing
            - resolved
          example: firing
          type: string
          x-public-api-version: v2
        title:
          description: >-
            The title of the alert, parsed from the alert payload according to
            the alert source configuration
          example: '*errors.withMessage: PG::Error failed to connect'
          type: string
        updated_at:
          description: When this alert was last updated
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
      required:
        - id
        - title
        - deduplication_key
        - alert_source_id
        - status
        - created_at
        - updated_at
      type: object
    IncidentSlimV2:
      description: >-
        Incident slim is a subset of the full incident object, listing key
        fields.
      example:
        external_id: 123
        id: 01FDAG4SAP5TYPT98WGR2N7W91
        name: Our database is sad
        reference: INC-123
        status_category: triage
        summary: Our database is really really sad, and we don't know why yet.
        visibility: public
      properties:
        external_id:
          description: >-
            External identifier for the incident - often displayed with an INC-
            prefix
          example: 123
          format: int64
          type: integer
        id:
          description: Unique identifier for the incident
          example: 01FDAG4SAP5TYPT98WGR2N7W91
          type: string
        name:
          description: Explanation of the incident
          example: Our database is sad
          type: string
        reference:
          description: Reference to this incident, as displayed across the product
          example: INC-123
          type: string
        status_category:
          description: The category of the incidents status
          enum:
            - triage
            - declined
            - merged
            - canceled
            - active
            - post-incident
            - closed
            - paused
          example: triage
          type: string
        summary:
          description: Detailed description of the incident
          example: Our database is really really sad, and we don't know why yet.
          type: string
        visibility:
          description: >-
            Whether the incident should be open to anyone in your Slack
            workspace (public), or invite-only (private). For more information
            on Private Incidents see our
            [docs](https://docs.incident.io/incidents/sensitive-incidents).
          enum:
            - public
            - private
          example: public
          type: string
      required:
        - id
        - external_id
        - name
        - reference
        - visibility
        - status_category
      type: object
    AlertActorV2:
      example:
        id: 01GW2G3V0S59R238FAHPDS1R66
        title: '*errors.withMessage: PG::Error failed to connect'
      properties:
        id:
          description: The ID of this alert
          example: 01GW2G3V0S59R238FAHPDS1R66
          type: string
        title:
          description: >-
            The title of the alert, parsed from the alert payload according to
            the alert source configuration
          example: '*errors.withMessage: PG::Error failed to connect'
          type: string
      required:
        - id
        - title
      type: object
    UserV2:
      example:
        email: lisa@incident.io
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: Lisa Karlin Curtis
        role: owner
        slack_user_id: U02AYNF2XJM
      properties:
        email:
          description: Email address of the user.
          example: lisa@incident.io
          type: string
        id:
          description: Unique identifier of the user
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Name of the user
          example: Lisa Karlin Curtis
          type: string
        role:
          description: >-
            DEPRECATED: Role of the user as of March 9th 2023, this value is no
            longer updated.
          enum:
            - viewer
            - responder
            - administrator
            - owner
            - unset
          example: owner
          type: string
        slack_user_id:
          description: Slack ID of the user
          example: U02AYNF2XJM
          type: string
      required:
        - role
        - id
        - name
      type: object
    WorkflowActorV2:
      example:
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: My little workflow
      properties:
        id:
          description: Unique identifier for the workflow
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Name provided by the user when creating the workflow
          example: My little workflow
          type: string
      required:
        - id
        - name
      type: object
    ChatChannelSlimV2:
      example:
        microsoft_teams_channel_id: abc123
        microsoft_teams_team_id: abc123
        slack_channel_id: abc123
        slack_team_id: abc123
      properties:
        microsoft_teams_channel_id:
          description: ID of the Microsoft Teams channel, if there is one
          example: abc123
          type: string
        microsoft_teams_team_id:
          description: ID of the Microsoft Teams team, if there is one
          example: abc123
          type: string
        slack_channel_id:
          description: ID of the Slack channel, if there is one
          example: abc123
          type: string
        slack_team_id:
          description: ID of the Slack team, if there is one
          example: abc123
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key from your incident.io dashboard (Settings → API keys)

````